/**
 * 
 */
package org.ajax4jsf.event;

import javax.faces.component.UIComponent;
import javax.faces.event.FacesEvent;
import javax.faces.event.FacesListener;
import javax.faces.event.PhaseId;

/**
 * @author asmirnov
 *
 */
public class AjaxSingleEvent extends FacesEvent {

    /**
     * @param arg0
     */
    public AjaxSingleEvent(UIComponent arg0) {
	super(arg0);
    }

    /* (non-Javadoc)
     * @see javax.faces.event.FacesEvent#isAppropriateListener(javax.faces.event.FacesListener)
     */
    public boolean isAppropriateListener(FacesListener arg0) {
	return false;
    }

    /* (non-Javadoc)
     * @see javax.faces.event.FacesEvent#processListener(javax.faces.event.FacesListener)
     */
    public void processListener(FacesListener arg0) {
    }

    public PhaseId getPhaseId() {
        return PhaseId.APPLY_REQUEST_VALUES;
    }
}
